//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    public partial class MaCourse
    {
        public MaCourse()
        {
            this.MaDetails = new HashSet<MaDetail>();
            this.MaPackages = new HashSet<MaPackage>();
            this.Tb_CourseHist = new HashSet<Tb_CourseHist>();
            this.Tb_Installment = new HashSet<Tb_Installment>();
            this.Tb_CourseHist = new HashSet<Tb_CourseHist>();
            this.Tb_FeeAdjustment = new HashSet<Tb_FeeAdjustment>();
            this.Tb_FeeRefund = new HashSet<Tb_FeeRefund>();
            this.MaGroupAssigns = new HashSet<MaGroupAssign>();
        }

        public int Id { get; set; }


        [StringLength(80)]
        [Display(Name = "Course Name")]
        [Required(ErrorMessage = "Course name is required")]
        public string CourseName { get; set; }
        [Display(Name = "Branch Name")]
       
        public Nullable<int> BranchId { get; set; }
       
        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> Cdate { get; set; }

        private Nullable<bool> _Status;
        public bool Status
        {
            get
            {
                if (_Status ==true)
                {
                    return true;
                }
                else {

                    return false;
                }
            }

            set
            {

                _Status = value;
            }
        }
       


        public virtual ICollection<MaDetail> MaDetails { get; set; }
        public virtual MaBranch MaBranch { get; set; }
        public virtual ICollection<MaPackage> MaPackages { get; set; }
        public virtual ICollection<Tb_CourseHist> Tb_CourseHist { get; set; }
        public virtual ICollection<Tb_Installment> Tb_Installment { get; set; }
        public virtual ICollection<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
        public virtual ICollection<Tb_FeeAdjustment> Tb_FeeAdjustment { get; set; }
        public virtual ICollection<Tb_FeeRefund> Tb_FeeRefund { get; set; }
        public virtual ICollection<MaGroupAssign> MaGroupAssigns { get; set; }
    }
}
